import re


def humanize_tags_from_json(value: str, default: str) -> str:
    if value != "":
        return ", ".join([re.sub('_\\(.*', '', t) for t in value.split()])
    return default


def format_rating(value: str) -> str | None:
    match value:
        case "g":
            # Negative Squared Latin Capital Letter G
            return "🅶"
        case "s":
            # Negative Squared Latin Capital Letter S
            return "🆂"
        case "q":
            # Negative Squared Latin Capital Letter Q
            return "🆀"
        case "e":
            # Negative Squared Latin Capital Letter E
            return "🅴"
    return None
